/**
 * @file ofdt.h
 *
 *
 * Copyright (C) IBM Corporation 2006
 *
 */
#ifndef _OFDT_H_
#define _OFDT_H_

#define DRC_STR_MAX 48
#define OFDT_BASE "/proc/device-tree"

/* Search types for search_drc_list() */
#define DRC_NAME 	0
#define DRC_TYPE 	1
#define DRC_INDEX 	2
#define DRC_POWERDOMAIN 3

struct dr_connector {
	char		name[DRC_STR_MAX];
	char		type[DRC_STR_MAX];
	unsigned int	index;
	unsigned int	powerdomain;
	struct dr_connector *next;
};

struct dr_connector *init_drc_info(const char *);
void free_drc_info(struct dr_connector *);

char *of_to_full_path(const char *);

struct dr_connector *search_drc_list(struct dr_connector *,
				     struct dr_connector *, int, void *);

int get_my_drc_index(char *, unsigned int *);
int drc_name_to_index(const char *, struct dr_connector *);
char * drc_index_to_name(int, struct dr_connector *);
int get_drc_by_name(char *, struct dr_connector *, char *, char *);

#endif /* _OFDT_H_ */
